#### 4.23.1.9 isPure

`Syntax:`
  `isPure(` fan f`)`
`Type:`
  int
`Purpose:`
  1 iff the fan is pure; 0 otherwise
`Example:`

      LIB"gfanlib.so";
      fan f=fullFan(2);
      isPure(f);
      ==> 1
      fan g=emptyFan(2);
      intmat M1[2][2]=
      1,0,
      0,1;
      cone c1=coneViaPoints(M1);
      insertCone(g,c1);
      isPure(g);
      ==> 1
      intmat M2[1][2]=
      0,-1;
      cone c2=coneViaPoints(M2);
      insertCone(g,c2);
      isPure(g,c2);
      ==> 0

User manual for Singular version 4-0-3, 2016, generated by texi2html.